/* nebind.h: this header file was produced automatically by
 * the ./mktbls program, based on input from the file cmdtbl
 */

CMDFUNC *asciitbl[128] = {
	NULL,	/* ctrl-@ */
	&f_cntl_af,	/* ctrl-A */
	&f_backpage,	/* ctrl-B */
	NULL,	/* ctrl-C */
	&f_forwhpage,	/* ctrl-D */
	&f_mvdnwind,	/* ctrl-E */
	&f_forwpage,	/* ctrl-F */
	&f_showcpos,	/* ctrl-G */
	&f_backchar_to_bol,	/* ctrl-H */
	NULL,	/* ctrl-I */
	&f_forwline,	/* ctrl-J */
	&f_delwind,	/* ctrl-K */
	&f_refresh,	/* ctrl-L */
	&f_forwbline,	/* ctrl-M */
	&f_forwline,	/* ctrl-N */
	&f_onlywind,	/* ctrl-O */
	&f_backline,	/* ctrl-P */
	&f_nullproc,	/* ctrl-Q */
	&f_insfile,	/* ctrl-R */
	&f_nullproc,	/* ctrl-S */
#if (TAGS)
	&f_untagpop,	/* ctrl-T */
#else
	NULL,
#endif
	&f_backhpage,	/* ctrl-U */
	&f_quote,	/* ctrl-V */
	&f_operwrite,	/* ctrl-W */
	&f_cntl_xf,	/* ctrl-X */
	&f_mvupwind,	/* ctrl-Y */
	&f_bktoshell,	/* ctrl-Z */
	&f_esc,	/* ctrl-[ */
	NULL,	/* ctrl-\ */
#if (TAGS)
	&f_gototag,	/* ctrl-] */
#else
	NULL,
#endif
	&f_altbuff,	/* ctrl-^ */
	NULL,	/* ctrl-_ */
	&f_forwchar_to_eol,	/*   */
	&f_operfilter,	/* ! */
	&f_usekreg,	/* " */
	&f_speckey,	/* # */
	&f_gotoeol,	/* $ */
#if (CFENCE)
	&f_matchfence,	/* % */
#else
	NULL,
#endif
	&f_subst_again,	/* & */
	&f_golinenmmark,	/* ' */
#if (WORDPRO)
	&f_gotobosent,	/* ( */
#else
	NULL,
#endif
#if (WORDPRO)
	&f_gotoeosent,	/* ) */
#else
	NULL,
#endif
	&f_togglelistbuffers,	/* * */
	&f_forwbline,	/* + */
	&f_rev_csrch,	/* , */
	&f_backbline,	/* - */
	&f_dotcmdplay,	/* . */
	&f_forwsearch,	/* / */
	&f_gotobol,	/* 0 */
	NULL,	/* 1 */
	NULL,	/* 2 */
	NULL,	/* 3 */
	NULL,	/* 4 */
	NULL,	/* 5 */
	NULL,	/* 6 */
	NULL,	/* 7 */
	NULL,	/* 8 */
	NULL,	/* 9 */
	&f_namedcmd,	/* : */
	&f_rep_csrch,	/* ; */
	&f_operlshift,	/* < */
	NULL,	/* = */
	&f_operrshift,	/* > */
	&f_backsearch,	/* ? */
	&f_execkreg,	/* @ */
	&f_appendeol,	/* A */
	&f_backword,	/* B */
	&f_chgtoeol,	/* C */
	&f_deltoeol,	/* D */
	&f_forwendw,	/* E */
	&f_bcsrch,	/* F */
	&f_gotoline,	/* G */
	&f_gotobos,	/* H */
	&f_insertbol,	/* I */
	&f_join,	/* J */
	&f_unarg,	/* K */
	&f_gotoeos,	/* L */
	&f_gotomos,	/* M */
	&f_revsearch,	/* N */
	&f_openup,	/* O */
	&f_putbefore,	/* P */
	&f_quit,	/* Q */
	&f_overwrite,	/* R */
	&f_chgline,	/* S */
	&f_bcsrch_to,	/* T */
	&f_lineundo,	/* U */
	&f_enlargewind,	/* V */
	&f_forwword,	/* W */
	&f_backdelchar,	/* X */
	&f_yankline,	/* Y */
	&f_zzquit,	/* Z */
#if (WORDPRO)
	&f_gotobosec,	/* [ */
#else
	NULL,
#endif
	NULL,	/* \ */
#if (WORDPRO)
	&f_gotoeosec,	/* ] */
#else
	NULL,
#endif
	&f_firstnonwhite,	/* ^ */
	&f_histbuff,	/* _ */
	&f_goexactnmmark,	/* ` */
	&f_append,	/* a */
	&f_backviword,	/* b */
	&f_operchg,	/* c */
	&f_operdel,	/* d */
	&f_forwviendw,	/* e */
	&f_fcsrch,	/* f */
	NULL,	/* g */
	&f_backchar_to_bol,	/* h */
	&f_insert,	/* i */
	&f_forwline,	/* j */
	&f_backline,	/* k */
	&f_forwchar_to_eol,	/* l */
	&f_setnmmark,	/* m */
	&f_consearch,	/* n */
	&f_opendown,	/* o */
	&f_putafter,	/* p */
	NULL,	/* q */
	&f_replacechar,	/* r */
	&f_chgchar,	/* s */
	&f_fcsrch_to,	/* t */
	&f_undo,	/* u */
	&f_shrinkwind,	/* v */
	&f_forwviword,	/* w */
	&f_forwdelchar,	/* x */
	&f_operyank,	/* y */
	&f_poswind,	/* z */
#if (WORDPRO)
	&f_gotobop,	/* { */
#else
	NULL,
#endif
	&f_gotocol,	/* | */
#if (WORDPRO)
	&f_gotoeop,	/* } */
#else
	NULL,
#endif
	&f_flipchar,	/* ~ */
	&f_backchar_to_bol,	/* ctrl-? */
};

KBIND kbindtbl[NBINDS] = {
	{ CTLX|tocntrl('C'), &f_quit },
	{ CTLX|tocntrl('L'), &f_mvleftwind },
	{ CTLX|tocntrl('R'), &f_mvrightwind },
#if (FINDERR)
	{ CTLX|tocntrl('X'), &f_finderr },
#endif
#if (TAGS)
	{ CTLX|tocntrl(']'), &f_untagpop },
#endif
	{ CTLX|'!', &f_pipecmd },
#if (CFENCE)
	{ CTLX|'%', &f_matchfenceback },
#endif
	{ CTLX|'&', &f_kbd_mac_exec },
	{ CTLX|'(', &f_kbd_mac_begin },
	{ CTLX|')', &f_kbd_mac_end },
	{ CTLX|'/', &f_scrforwsearch },
	{ CTLX|'0', &f_delwind },
	{ CTLX|'1', &f_onlywind },
	{ CTLX|'2', &f_splitwind },
	{ CTLX|'=', &f_showcpos },
	{ CTLX|'?', &f_scrbacksearch },
	{ CTLX|'O', &f_prevwind },
	{ CTLX|'P', &f_lineputbefore },
#if (ISRCH)
	{ CTLX|'R', &f_risearch },
#endif
#if (ISRCH)
	{ CTLX|'S', &f_fisearch },
#endif
#if (CRYPT)
	{ CTLX|'X', &f_setkey },
#endif
	{ CTLX|'^', &f_kbd_mac_save },
	{ CTLX|'c', &f_operlinechg },
	{ CTLX|'d', &f_operlinedel },
	{ CTLX|'e', &f_filefind },
	{ CTLX|'f', &f_setfillcol },
	{ CTLX|'h', &f_help },
	{ CTLX|'o', &f_nextwind },
	{ CTLX|'p', &f_lineputafter },
	{ CTLX|'s', &f_opersubst },
	{ CTLX|'t', &f_settab },
#if (VMALLOC)
	{ CTLX|'v', &f_setvmalloc },
#endif
	{ CTLX|'y', &f_operlineyank },
	{ CTLA|tocntrl('D'), &f_scrnextdw },
	{ CTLA|tocntrl('E'), &f_mvdnnxtwind },
#if (AEDIT)
	{ CTLA|tocntrl('I'), &f_operentab },
#endif
	{ CTLA|tocntrl('U'), &f_scrnextup },
	{ CTLA|tocntrl('Y'), &f_mvupnxtwind },
#if (AEDIT)
	{ CTLA|' ', &f_operdetab },
#endif
	{ CTLA|'&', &f_opersubstagain },
	{ CTLA|'*', &f_listbuffers },
	{ CTLA|'/', &f_scrsearchpat },
	{ CTLA|':', &f_onamedcmd },
#if (WORDPRO)
	{ CTLA|'f', &f_operformat },
#endif
	{ CTLA|'h', &f_help },
#if (WORDPRO)
	{ CTLA|'j', &f_operformat },
#endif
	{ CTLA|'l', &f_operlower },
#if (AEDIT)
	{ CTLA|'o', &f_deblank },
#endif
#if (AEDIT)
	{ CTLA|'t', &f_opertrim },
#endif
	{ CTLA|'u', &f_operupper },
	{ CTLA|'~', &f_operflip },
#if (UNIX)
	{ SPEC|'1', &f_cbuf1 },
#endif
#if (UNIX)
	{ SPEC|'2', &f_cbuf2 },
#endif
#if (UNIX)
	{ SPEC|'3', &f_cbuf3 },
#endif
#if (UNIX)
	{ SPEC|'4', &f_cbuf4 },
#endif
#if (UNIX)
	{ SPEC|'5', &f_cbuf5 },
#endif
#if (UNIX)
	{ SPEC|'6', &f_cbuf6 },
#endif
#if (UNIX)
	{ SPEC|'7', &f_cbuf7 },
#endif
#if (UNIX)
	{ SPEC|'8', &f_cbuf8 },
#endif
#if (UNIX)
	{ SPEC|'9', &f_cbuf9 },
#endif
#if (ANSI_SPEC)
	{ SPEC|'A', &f_backline },
#endif
#if (ANSI_SPEC)
	{ SPEC|'B', &f_forwline },
#endif
#if (ANSI_SPEC)
	{ SPEC|'C', &f_forwchar_to_eol },
#endif
#if (ANSI_SPEC)
	{ SPEC|'D', &f_backchar_to_bol },
#endif
#if (!SMALLER) & (MSDOS)
	{ SPEC|'G', &f_gotobob },
#endif
#if (MSDOS)
	{ SPEC|'H', &f_backline },
#endif
#if (MSDOS)
	{ SPEC|'I', &f_backpage },
#endif
#if (MSDOS)
	{ SPEC|'K', &f_backchar_to_bol },
#endif
#if (MSDOS)
	{ SPEC|'M', &f_forwchar_to_eol },
#endif
#if (!SMALLER) & (MSDOS)
	{ SPEC|'O', &f_gotoeob },
#endif
#if (MSDOS)
	{ SPEC|'P', &f_forwline },
#endif
#if (MSDOS)
	{ SPEC|'Q', &f_forwpage },
#endif
#if (ANSI_SPEC)
	{ SPEC|'R', &f_cbuf3 },
#endif
#if (MSDOS)
	{ SPEC|'S', &f_forwdelchar },
#endif
#if (MSDOS)
	{ SPEC|'U', &f_cbuf2 },
#endif
#if (MSDOS)
	{ SPEC|'V', &f_cbuf3 },
#endif
#if (MSDOS)
	{ SPEC|'W', &f_cbuf4 },
#endif
#if (MSDOS)
	{ SPEC|'X', &f_cbuf5 },
#endif
#if (MSDOS)
	{ SPEC|'Y', &f_cbuf6 },
#endif
#if (MSDOS)
	{ SPEC|'Z', &f_cbuf7 },
#endif
#if (MSDOS)
	{ SPEC|'[', &f_cbuf8 },
#endif
#if (MSDOS)
	{ SPEC|'\\', &f_cbuf9 },
#endif
#if (MSDOS)
	{ SPEC|'s', &f_backword },
#endif
#if (MSDOS)
	{ SPEC|'t', &f_forwword },
#endif
#if (WORDPRO) & (MSDOS)
	{ SPEC|'v', &f_gotoeop },
#endif
	{ 0, NULL }
};
